USE [COWS]
GO

UPDATE ap
SET ap.REC_STUS_ID = CASE ad.EVENT_STUS_ID WHEN 6 THEN 0 ELSE 1 END
FROM dbo.APPT ap WITH (ROWLOCK) INNER JOIN
dbo.AD_EVENT ad WITH (NOLOCK) ON ap.EVENT_ID = ad.EVENT_ID
WHERE ap.EVENT_ID IS NOT NULL
and ap.EVENT_ID > 0

UPDATE ap
SET ap.REC_STUS_ID = CASE mp.EVENT_STUS_ID WHEN 6 THEN 0 ELSE 1 END
FROM dbo.APPT ap WITH (ROWLOCK) INNER JOIN
dbo.MPLS_EVENT mp WITH (NOLOCK) ON ap.EVENT_ID = mp.EVENT_ID
WHERE ap.EVENT_ID IS NOT NULL
and ap.EVENT_ID > 0

UPDATE ap
SET ap.REC_STUS_ID = CASE ng.EVENT_STUS_ID WHEN 6 THEN 0 ELSE 1 END
FROM dbo.APPT ap WITH (ROWLOCK) INNER JOIN
dbo.NGVN_EVENT ng WITH (NOLOCK) ON ap.EVENT_ID = ng.EVENT_ID
WHERE ap.EVENT_ID IS NOT NULL
and ap.EVENT_ID > 0

UPDATE ap
SET ap.REC_STUS_ID = CASE sp.EVENT_STUS_ID WHEN 6 THEN 0 ELSE 1 END
FROM dbo.APPT ap WITH (ROWLOCK) INNER JOIN
dbo.SPLK_EVENT sp WITH (NOLOCK) ON ap.EVENT_ID = sp.EVENT_ID
WHERE ap.EVENT_ID IS NOT NULL
and ap.EVENT_ID > 0


UPDATE ap
SET ap.REC_STUS_ID = CASE md.EVENT_STUS_ID WHEN 6 THEN 0 ELSE 1 END
FROM dbo.APPT ap WITH (ROWLOCK) INNER JOIN
dbo.MDS_EVENT md WITH (NOLOCK) ON ap.EVENT_ID = md.EVENT_ID
WHERE ap.EVENT_ID IS NOT NULL
and ap.EVENT_ID > 0
